summaryrefslogtreecommitdiffstats
path: root/scripts/ldadp-setperms
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/ldadp-setperms')
-rwxr-xr-xscripts/ldadp-setperms3
1 files changed, 2 insertions, 1 deletions
diff --git a/scripts/ldadp-setperms b/scripts/ldadp-setperms
index 2c6ea08..51b9e59 100755
--- a/scripts/ldadp-setperms
+++ b/scripts/ldadp-setperms
@@ -11,8 +11,9 @@ FILE="${BASE}/${1}"
[ -e "${FILE}.crt.pem" ] || exit 8
[ -e "${FILE}.key.pem" ] || exit 7
-for ext in cfg crt.pem key.pem; do
+for ext in cfg crt.pem key.pem ca-bundle.pem; do
file="${FILE}.${ext}"
+ [ -e "$file" ] || continue
/bin/chown taskmanager:ldadp "$file" || exit 6
/bin/chmod 0640 "$file" || exit 5
done